- Upsert Transport Resource
Upsert a single TransportResource.
As a TransportResource is considered to be always available unless a TransportResourceUnavailability says otherwise, its presence will result in the application trying to create ResourceCombinations by matching AvailableEmployees with this TransportResource.
The RFC7240 Prefer header indicates that a particular server behavior is preferred by the client but is not required for successful completion of the request (see RFC 7240).
The following behavior (see Examples) is supported by this API:
- return=<minimal|representation> is used to suggest the server to return using 204 without resource (minimal) or using 200 or 201 with resource (representation) in the response body on success.
A TRACTOR is a pulling unit, a TRAILER a cargo unit and a TRUCK is both a pulling and cargo unit.
List of requirements the Employee must fulfill to be allowed to use this TransportResource.
[ "driving license CE" ]
Capabilities this TransportResource provides to the ResourceCombination. Note: if a capability contains a dash, it will be split into two capabilities upon exporting and re-importing the vehicle set in PTV OptiFlow Route Optimization.
[ "big bag" ]
List of requirements the Employee must fulfill, which will be provided as capabilities to the ResourceCombination. Note: if a required capability contains a dash, it will be split into two capabilities upon exporting and re-importing the vehicle set in PTV OptiFlow Route Optimization.
[ "cooling compressor" ]
List of capabilities which will be provided to the ResourceCombination, if the Employee has matching driver_skills. Note: if a skilled capability contains a dash, it will be split into two capabilities upon exporting and re-importing the vehicle set in PTV OptiFlow Route Optimization.
[ "sideloading" ]
List of capabilities which will be disabled on the resulting ResourceCombination. For example: A TRACTOR with a faulty electric plug, can not be used with a TRAILER that exposes a capability which requires this plug.
[ "adr-transport" ]
These capacities mirror the Order Book capacities.
The id of another TransportResource on the same location that should be coupled with this one no matter what. This is known as a fixed coupling.
By using this you can indicate that a tractor should always be coupled with a specific trailer (or the other way around). There is no need to specify the linking in both directions. This overwrites all requirements and as such could lead to seemingly invalid situations, but this is at the discretion of the planner.
The start_location where this TransportResource is based.
Either address information or geo point must be provided. The resolved information will be read only and be filled out after resolving.
Either a home_base or a start_location must be provided.
Conceptually the same as start_location, but with centralized address management.
Either a home_base or a start_location must be provided.
Optional, internal reference (eg: fleet number, ...) for the TransportResource.
Custom data is an extendable hashmap of key-value pairs for client usage. These values have no meaning in the context of Resource Management, but can be used to enrich the data in OptiFlow with relevant information for the end users.
Keys should not be blank nor contain periods.
{ "shop_manager": "John Smith" }
Labels provided by the TransportResource for its Combination. Note: if a label contains a dash, it will be split into two labels upon exporting and re-importing the vehicle set in PTV OptiFlow Route Optimization.
[ "Transport-resource-label-A" ]
Flag to indicate whether a TransportResource can be used for creating ResourceCombinations. When set to true, all future ResourceCombinations will be removed.
[EXPERIMENTAL] Technical characteristics of this TransportResource.
- Mock serverhttps://developer.conundra.eu/_mock/apis/resource-management/resources-api/transport-resource/{id}
- Resources API Productionhttps://api.conundra.eu/resource-management/v1/transport-resource/{id}
{ "type": "TRACTOR", "license_plate": "1-ABC-987", "requirements": [ "driving license CE" ], "capabilities": [ "big bag" ], "required_capabilities": [ "cooling compressor" ], "skilled_capabilities": [ "sideloading" ], "cant_do": [ "adr-transport" ], "capacities": [ { … } ], "linked_resource": "trailer-1", "start_location": { "name": "PTV Logistics", "address_line": "Voordries 41b", "city": "Oosterzele", "zip_code": "9860", "country_code": "BE", "geo_point": { … } }, "home_base": { "business_id": "depot-1", "id": "depot-1" }, "reference": "fleet-reference-47", "custom_data": { "shop_manager": "John Smith" }, "labels": [ "Transport-resource-label-A" ], "inactive": false, "cost": { "per_kilometer": 0.9, "per_hour": 46.8, "fixed": 213 }, "characteristics": { "maximum_allowed_weight": 3500 }, "route_settings": { "direct_trips": false } }
Transport Resource created or updated
Unique identifier for this TransportResource.
A TRACTOR is a pulling unit, a TRAILER a cargo unit and a TRUCK is both a pulling and cargo unit.
List of requirements the Employee must fulfill to be allowed to use this TransportResource.
[ "driving license CE" ]
Capabilities this TransportResource provides to the ResourceCombination. Note: if a capability contains a dash, it will be split into two capabilities upon exporting and re-importing the vehicle set in PTV OptiFlow Route Optimization.
[ "big bag" ]
List of requirements the Employee must fulfill, which will be provided as capabilities to the ResourceCombination. Note: if a required capability contains a dash, it will be split into two capabilities upon exporting and re-importing the vehicle set in PTV OptiFlow Route Optimization.
[ "cooling compressor" ]
List of capabilities which will be provided to the ResourceCombination, if the Employee has matching driver_skills. Note: if a skilled capability contains a dash, it will be split into two capabilities upon exporting and re-importing the vehicle set in PTV OptiFlow Route Optimization.
[ "sideloading" ]
List of capabilities which will be disabled on the resulting ResourceCombination. For example: A TRACTOR with a faulty electric plug, can not be used with a TRAILER that exposes a capability which requires this plug.
[ "adr-transport" ]
These capacities mirror the Order Book capacities.
The id of another TransportResource on the same location that should be coupled with this one no matter what. This is known as a fixed coupling.
By using this you can indicate that a tractor should always be coupled with a specific trailer (or the other way around). There is no need to specify the linking in both directions. This overwrites all requirements and as such could lead to seemingly invalid situations, but this is at the discretion of the planner.
The start_location where this TransportResource is based.
Either address information or geo point must be provided. The resolved information will be read only and be filled out after resolving.
Either a home_base or a start_location must be provided.
Conceptually the same as start_location, but with centralized address management.
Either a home_base or a start_location must be provided.
Optional, internal reference (eg: fleet number, ...) for the TransportResource.
Custom data is an extendable hashmap of key-value pairs for client usage. These values have no meaning in the context of Resource Management, but can be used to enrich the data in OptiFlow with relevant information for the end users.
Keys should not be blank nor contain periods.
{ "shop_manager": "John Smith" }
Labels provided by the TransportResource for its Combination. Note: if a label contains a dash, it will be split into two labels upon exporting and re-importing the vehicle set in PTV OptiFlow Route Optimization.
[ "Transport-resource-label-A" ]
Flag to indicate whether a TransportResource can be used for creating ResourceCombinations. When set to true, all future ResourceCombinations will be removed.
[EXPERIMENTAL] Technical characteristics of this TransportResource.
{ "business_id": "tractor-1", "id": "tractor-1", "type": "TRACTOR", "license_plate": "1-ABC-987", "requirements": [ "driving license CE" ], "capabilities": [ "big bag" ], "required_capabilities": [ "cooling compressor" ], "skilled_capabilities": [ "sideloading" ], "cant_do": [ "adr-transport" ], "capacities": [ { … } ], "linked_resource": "trailer-1", "start_location": { "name": "PTV Logistics", "address_line": "Voordries 41b", "city": "Oosterzele", "zip_code": "9860", "country_code": "BE", "geo_point": { … } }, "home_base": { "business_id": "depot-1", "id": "depot-1" }, "reference": "fleet-reference-47", "custom_data": { "shop_manager": "John Smith" }, "labels": [ "Transport-resource-label-A" ], "inactive": false, "cost": { "per_kilometer": 0.9, "per_hour": 46.8, "fixed": 213 }, "characteristics": { "maximum_allowed_weight": 3500 }, "route_settings": { "direct_trips": false } }